मुख्य पीसी और मैक क्या ईमेल केस संवेदनशील हैं?

क्या ईमेल केस संवेदनशील हैं?



ईमेल पते केस सेंसिटिव हैं या नहीं, इस पर बहुत भ्रम है। कुछ कहते हैं कि वे हैं, जबकि अन्य का दावा है कि वे नहीं हैं। तो, कौन सही है? इस लेख में हम देखेंगे कि ईमेल पते केस संवेदनशील हैं या केस असंवेदनशील।

क्या ईमेल केस संवेदनशील हैं?

ईमेल पता क्या बनाता है?

एक ईमेल पता तीन भागों से बना होता है - स्थानीय भाग (उपयोगकर्ता नाम के रूप में भी जाना जाता है), @ चिह्न और डोमेन भाग। प्रत्येक भाग की अपनी भूमिका होती है और यह अपने स्वयं के नियमों के अधीन होता है। यहाँ एक त्वरित अवलोकन है।

मानक के अनुसार, ईमेल पते का स्थानीय भाग 64 वर्णों तक लंबा हो सकता है और वर्णों के सीमित सेट से बना हो सकता है। इनमें अपर और लोअर केस लैटिन वर्णमाला के अक्षर, 0 से 9 तक की संख्याएं, बिंदु और विशेष वर्ण शामिल हैं। विशेष वर्णों में `[ईमेल संरक्षित] #$%^&*()_-+=[]{}~ शामिल हैं। यह @ चिह्न के साथ डोमेन भाग से जुड़ा है।

डोमेन भाग 255 वर्णों तक लंबा हो सकता है। इसमें लैटिन वर्णमाला के अक्षर (लोअर और अपर केस दोनों), 0 से 9 तक की संख्याएं और हाइफ़न हो सकते हैं। हाइफ़न डोमेन भाग को प्रारंभ या समाप्त नहीं कर सकता है।

अंतर्राष्ट्रीय प्रतीकों का भी उपयोग किया जा सकता है, हालांकि उस पर और बाद में।

क्या यह केस सेंसिटिव है?

इस सवाल का सही जवाब हां और ना दोनों है। के अनुसार आरएफसी 5321 , ईमेल पते का स्थानीय भाग केस संवेदी होता है। इसका मतलब यह है कि, सिद्धांत रूप में, [ईमेल संरक्षित] [ईमेल संरक्षित] के समान नहीं है, हालांकि, ईमेल प्रदाताओं को स्थानीय भागों को केस संवेदनशील और केस असंवेदनशील दोनों के रूप में मानने की स्वतंत्रता है।

उदाहरण के लिए, [ईमेल संरक्षित] , [ईमेल संरक्षित] , और [ईमेल संरक्षित] सैद्धांतिक रूप से अलग ईमेल पते हैं। यह देखना आसान है कि यह कैसे समस्याएँ पैदा कर सकता है और उपयोगकर्ता अनुभव को कम कर सकता है यदि कोई मेल सर्वर स्थानीय भागों को केस सेंसिटिव मानने का विकल्प चुनता है। इसलिए, कई प्रदाता ईमेल पते के स्थानीय भाग को केस असंवेदनशील मानते हैं।

मेरा बायां एयरपॉड क्यों काम नहीं कर रहा है

डोमेन भाग के लिए, आरएफसी 1035 यह निर्धारित करता है कि यह हमेशा केस असंवेदनशील होता है। इसका मतलब है कि आप इसे लोअर केस, अपर केस या दोनों के किसी भी संयोजन में लिख सकते हैं और आपका ईमेल उसी पते पर समाप्त हो जाएगा। व्यावहारिक उपयोग में, [ईमेल संरक्षित] , [ईमेल संरक्षित] , और [ईमेल संरक्षित] एक ही ईमेल पता हैं।

प्रयोग में

जबकि ईमेल पते केवल आंशिक रूप से केस-संवेदी होते हैं, आमतौर पर उन्हें केस असंवेदनशील समझना सुरक्षित होता है। सभी प्रमुख प्रदाता, जैसे कि जीमेल, याहू मेल, हॉटमेल, और अन्य, ईमेल पतों के स्थानीय भागों को केस असंवेदनशील मानते हैं। कहा जा रहा है, आपको उस ईमेल प्रदाता के नियमों की जांच करनी चाहिए जिसके साथ आप एक ईमेल बनाना चाहते हैं।

पिछले बिंदु की बात करें तो, उपरोक्त उल्लिखित RFC 5321 संभावित भ्रम और वितरण समस्याओं से बचने के लिए केवल छोटे अक्षरों के साथ नए ईमेल पते बनाने की सिफारिश करता है।

दूसरी ओर, यदि आपके मित्र या सहकर्मी के पास अपर केस और लोअर केस वर्णों के संयोजन के साथ एक ईमेल पता है, तो यह सलाह दी जाती है कि जब आप उन्हें ईमेल भेज रहे हों तो इसे वैसे ही लिखें। ऐसा करने में विफलता के कारण ईमेल डिलीवर नहीं हो सकता है। हालांकि, जीमेल, याहू मेल, हॉटमेल और अन्य जैसे प्रमुख ईमेल प्रदाताओं के साथ यह कोई समस्या नहीं है।

इसके अतिरिक्त, जब उपयोगकर्ता खाते की पहचान की बात आती है तो जीमेल ईमेल के स्थानीय भाग में पाए जाने वाले बिंदुओं के प्रति भी असंवेदनशील होता है। इसका मतलब यह है कि यदि [ईमेल संरक्षित] खाता मौजूद है, तो आप [ईमेल संरक्षित] या [ईमेल संरक्षित] पंजीकृत नहीं कर पाएंगे।

अंतर्राष्ट्रीयकरण

मूल रूप से, ईमेल पते केवल लैटिन वर्णमाला के अक्षरों, संख्याओं और विशेष ASCII वर्णों के सीमित सेट का उपयोग करके पंजीकृत किए जा सकते थे। हालांकि आईईटीएफ (इंटरनेट इंजीनियरिंग टास्क फोर्स) ने बाद में अंतरराष्ट्रीय पात्रों को शामिल करने के लिए नियम और मानक विकसित किए हैं।

RFC6530 अंतरराष्ट्रीय वर्णों के उपयोग को शामिल करने और विनियमित करने वाला पहला व्यक्ति था। आरएफसी6531 नियमों और मानकों पर विस्तार किया। इसके बाद, नियमों और मानकों को के माध्यम से अद्यतन किया गया RFC6532 तथा RFC6533 .

अब आप अक्षरों, वर्णों और लिपियों की एक विस्तृत श्रृंखला का उपयोग करके एक ईमेल पता पंजीकृत कर सकते हैं। सबसे व्यापक रूप से उपयोग किए जाने वाले कुछ में विशेषक, ग्रीक वर्णमाला, पारंपरिक चीनी वर्ण, जापानी वर्ण (हिरागाना, कटकाना, और कांजी), सिरिलिक वर्णमाला, कई भारतीय लिपियों के साथ-साथ अन्य की एक श्रृंखला के साथ लैटिन वर्ण शामिल हैं।

अंतरराष्ट्रीय ईमेल पतों का समावेश और संगतता प्रदाता से प्रदाता में भिन्न होता है। यहां तक ​​कि कुछ सबसे बड़े प्रदाता अंतरराष्ट्रीय पतों के साथ पूरी तरह से संगत नहीं हैं। उदाहरण के लिए, Google आपको एक अंतरराष्ट्रीय पते पर एक ईमेल भेजने की अनुमति देता है, लेकिन यह आपको एक ईमेल बनाने की अनुमति नहीं देता है। आउटलुक 2016 में समान कार्यक्षमता है।

निष्कर्ष

डोमेन नाम भाग के विपरीत, ईमेल पते का स्थानीय भाग केस संवेदी होता है। कहा जा रहा है कि, कई ईमेल प्रदाता व्यावहारिक कारणों से स्थानीय भाग की केस संवेदनशीलता को अनदेखा करना चुनते हैं और लोगों को केवल छोटे अक्षरों वाले ईमेल बनाने के लिए प्रोत्साहित करते हैं।

दिलचस्प लेख

संपादक की पसंद

10 सर्वश्रेष्ठ विंडोज पासवर्ड रिकवरी सॉफ़्टवेयर
10 सर्वश्रेष्ठ विंडोज पासवर्ड रिकवरी सॉफ़्टवेयर
आज, एक ऑनलाइन उपस्थिति सभी के लिए महत्वपूर्ण है। व्यापक ऑनलाइन उपस्थिति के साथ पासवर्ड की एक श्रृंखला को याद रखने की आवश्यकता होती है। अब, पासवर्ड आपके व्यक्तिगत और निजी डेटा को डिजिटल मेलफ़ेक्टर्स से सुरक्षित और सुरक्षित रखने के लिए महत्वपूर्ण हैं। हालाँकि, ऐसे उदाहरण हो सकते हैं जब आप बस अपना विंडोज पासवर्ड याद नहीं रख सकते। खैर, झल्लाहट नहीं!
सीगेट फ्रीएजेंट गोफ्लेक्स अल्ट्रा-पोर्टेबल 500GB समीक्षा
सीगेट फ्रीएजेंट गोफ्लेक्स अल्ट्रा-पोर्टेबल 500GB समीक्षा
हमने सीगेट के अनुशंसित 2टीबी डेस्कटॉप ड्राइव में गोफ्लेक्स सिस्टम को पहले ही देख लिया है। लेकिन पोर्टेबल मॉडल भी हैं, जो चमकीले रंगों की एक श्रृंखला में उपलब्ध हैं और अलग करने योग्य यूएसबी 2, यूएसबी 3 और ईएसएटीए कनेक्टर का समर्थन करते हैं। पोर्टेबल कनेक्टर
गेम सेंटर क्या था और उसका क्या हुआ?
गेम सेंटर क्या था और उसका क्या हुआ?
गेम सेंटर iPhone गेमिंग का घर था, लेकिन iOS 10 के साथ, Apple ने ऐप बंद कर दिया और कुछ गेम सेंटर सुविधाओं को iOS में स्थानांतरित कर दिया।
मेरा ps4 इतना धीमा क्यों है? [हर पहलू स्पष्ट]
मेरा ps4 इतना धीमा क्यों है? [हर पहलू स्पष्ट]
पेज पर प्रोग्रामेटिक रूप से ऑटो विज्ञापनों को अक्षम नहीं कर सकते, इसलिए हम यहां हैं!
सिगरेट लाइटर को USB से बदलना
सिगरेट लाइटर को USB से बदलना
हालाँकि सिगरेट लाइटर या 12V एक्सेसरी सॉकेट को USB से बदलना संभव है, लेकिन यह सबसे अच्छा विकल्प नहीं हो सकता है।
विंडोज 10, विंडोज 8 और विंडोज 7 में प्रशासनिक शेयरों को अक्षम करें
विंडोज 10, विंडोज 8 और विंडोज 7 में प्रशासनिक शेयरों को अक्षम करें
विंडोज 10, विंडोज 8, विंडोज 8.1 और विंडोज 7 में डिफ़ॉल्ट प्रशासनिक शेयरों को निष्क्रिय करने के दो तरीके देखें।
10 सर्वश्रेष्ठ निःशुल्क डिस्क विभाजन सॉफ़्टवेयर उपकरण
10 सर्वश्रेष्ठ निःशुल्क डिस्क विभाजन सॉफ़्टवेयर उपकरण
इन उत्कृष्ट डिस्क विभाजन प्रबंधन कार्यक्रमों के साथ मुफ्त में विभाजन को सिकोड़ें, विस्तारित करें, संयोजित करें और विभाजित करें। अंतिम बार मार्च 2024 में अपडेट किया गया।